Package org.eclipse.emf.cdo.ui.widgets

# Class CommitHistoryComposite.ContentProvider

java.lang.Object
org.eclipse.jface.viewers.ViewerComparator
org.eclipse.jface.viewers.ViewerSorter
org.eclipse.net4j.util.ui.StructuredContentProvider<CDOCommitHistory>
org.eclipse.emf.cdo.ui.widgets.CommitHistoryComposite.ContentProvider

All Implemented Interfaces:
  `EventListener`, `IContentProvider`, `IStructuredContentProvider`, `org.eclipse.net4j.util.event.IListener`

Enclosing class:
  CommitHistoryComposite

public static class CommitHistoryComposite.ContentProvider extends org.eclipse.net4j.util.ui.StructuredContentProvider<CDOCommitHistory>
Provides the content of a CommitHistoryComposite, i.e., the elements of a `CDOCommitHistory`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`org.eclipse.net4j.util.event.IListener.NotifierAware`

## Field Summary

### Fields inherited from class org.eclipse.jface.viewers.ViewerSorter

`collator`

## Constructor Summary

Constructors
Constructor
Description
`ContentProvider()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`connectInput(CDOCommitHistory history)`
`protected void`
`disconnectInput(CDOCommitHistory history)`
`Object[]`
`getElements(Object inputElement)`

### Methods inherited from class org.eclipse.net4j.util.ui.StructuredContentProvider

`dispose, expandElement, getBoldFont, getDisplay, getInput, getItalicFont, getViewer, inputChanged, notifyEvent, refreshElement, refreshSynced, refreshViewer, revealElement, selectElement, updateLabels`

### Methods inherited from class org.eclipse.jface.viewers.ViewerSorter

`getCollator`

### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

`category, compare, getComparator, isSorterProperty, sort`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContentProvider

public ContentProvider()

## Method Details

### getElements

public Object[] getElements(Object inputElement)

### connectInput

protected void connectInput(CDOCommitHistory history)

Overrides:
  `connectInput` in class `org.eclipse.net4j.util.ui.StructuredContentProvider<CDOCommitHistory>`

### disconnectInput

protected void disconnectInput(CDOCommitHistory history)

Overrides:
  `disconnectInput` in class `org.eclipse.net4j.util.ui.StructuredContentProvider<CDOCommitHistory>`